package net.mcreator.garfcraft.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.VillagerModel;

import net.mcreator.garfcraft.entity.JonArbuckleEntity;

public class JonArbuckleRenderer extends MobRenderer<JonArbuckleEntity, VillagerModel<JonArbuckleEntity>> {
	public JonArbuckleRenderer(EntityRendererProvider.Context context) {
		super(context, new VillagerModel(context.bakeLayer(ModelLayers.VILLAGER)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(JonArbuckleEntity entity) {
		return new ResourceLocation("garfcraft:textures/pixil-frame-0_1.png");
	}
}
