
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.garfcraft.init;

import net.minecraftforge.fml.event.lifecycle.FMLClientSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.block.Block;

import net.mcreator.garfcraft.block.TomatoPlantBlock;
import net.mcreator.garfcraft.block.GarfieldHometownPortalBlock;
import net.mcreator.garfcraft.block.GarfieldBlockBlock;

import java.util.List;
import java.util.ArrayList;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class GarfcraftModBlocks {
	private static final List<Block> REGISTRY = new ArrayList<>();
	public static final Block GARFIELD_BLOCK = register(new GarfieldBlockBlock());
	public static final Block GARFIELD_DIMENSION_PORTAL = register(new GarfieldHometownPortalBlock());
	public static final Block TOMATO_PLANT = register(new TomatoPlantBlock());

	private static Block register(Block block) {
		REGISTRY.add(block);
		return block;
	}

	@SubscribeEvent
	public static void registerBlocks(RegistryEvent.Register<Block> event) {
		event.getRegistry().registerAll(REGISTRY.toArray(new Block[0]));
	}

	@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class ClientSideHandler {
		@SubscribeEvent
		public static void clientSetup(FMLClientSetupEvent event) {
			TomatoPlantBlock.registerRenderLayer();
		}
	}
}
