
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.garfcraft.init;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.RegistryEvent;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.SpawnEggItem;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.BlockItem;

import net.mcreator.garfcraft.item.TomatoItem;
import net.mcreator.garfcraft.item.PastaSauceItem;
import net.mcreator.garfcraft.item.PastaPlateItem;
import net.mcreator.garfcraft.item.LasagneItem;
import net.mcreator.garfcraft.item.LasagnaItem;
import net.mcreator.garfcraft.item.GarfieldTunesItem;
import net.mcreator.garfcraft.item.GarfieldHometownItem;
import net.mcreator.garfcraft.item.FlourItem;

import java.util.List;
import java.util.ArrayList;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class GarfcraftModItems {
	private static final List<Item> REGISTRY = new ArrayList<>();
	public static final Item LASAGNE = register(new LasagneItem());
	public static final Item GARFIELD = register(
			new SpawnEggItem(GarfcraftModEntities.GARFIELD, -26368, -16777216, new Item.Properties().tab(CreativeModeTab.TAB_MISC))
					.setRegistryName("garfield_spawn_egg"));
	public static final Item GARFIELD_BLOCK = register(GarfcraftModBlocks.GARFIELD_BLOCK, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JON_ARBUCKLE = register(
			new SpawnEggItem(GarfcraftModEntities.JON_ARBUCKLE, -16737793, -13159, new Item.Properties().tab(CreativeModeTab.TAB_MISC))
					.setRegistryName("jon_arbuckle_spawn_egg"));
	public static final Item GARFIELD_TUNES = register(new GarfieldTunesItem());
	public static final Item LASAGNA = register(new LasagnaItem());
	public static final Item GARFIELD_DIMENSION = register(new GarfieldHometownItem());
	public static final Item PASTA_PLATE = register(new PastaPlateItem());
	public static final Item FLOUR = register(new FlourItem());
	public static final Item PASTA_SAUCE = register(new PastaSauceItem());
	public static final Item TOMATO = register(new TomatoItem());
	public static final Item TOMATO_PLANT = register(GarfcraftModBlocks.TOMATO_PLANT, CreativeModeTab.TAB_DECORATIONS);

	private static Item register(Item item) {
		REGISTRY.add(item);
		return item;
	}

	private static Item register(Block block, CreativeModeTab tab) {
		return register(new BlockItem(block, new Item.Properties().tab(tab)).setRegistryName(block.getRegistryName()));
	}

	@SubscribeEvent
	public static void registerItems(RegistryEvent.Register<Item> event) {
		event.getRegistry().registerAll(REGISTRY.toArray(new Item[0]));
	}
}
