package net.mcreator.garfcraft.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.CowModel;

import net.mcreator.garfcraft.entity.GarfieldEntity;

public class GarfieldRenderer extends MobRenderer<GarfieldEntity, CowModel<GarfieldEntity>> {
	public GarfieldRenderer(EntityRendererProvider.Context context) {
		super(context, new CowModel(context.bakeLayer(ModelLayers.COW)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(GarfieldEntity entity) {
		return new ResourceLocation("garfcraft:textures/pixil-frame-0.png");
	}
}
