
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.garfcraft.init;

import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;
import net.minecraftforge.event.RegistryEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.garfcraft.entity.JonArbuckleEntity;
import net.mcreator.garfcraft.entity.GarfieldEntity;

import java.util.List;
import java.util.ArrayList;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class GarfcraftModEntities {
	private static final List<EntityType<?>> REGISTRY = new ArrayList<>();
	public static final EntityType<GarfieldEntity> GARFIELD = register("garfield",
			EntityType.Builder.<GarfieldEntity>of(GarfieldEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64)
					.setUpdateInterval(3).setCustomClientFactory(GarfieldEntity::new).sized(0.9f, 1.4f));
	public static final EntityType<JonArbuckleEntity> JON_ARBUCKLE = register("jon_arbuckle",
			EntityType.Builder.<JonArbuckleEntity>of(JonArbuckleEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true)
					.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(JonArbuckleEntity::new).sized(0.6f, 1.95f));

	private static <T extends Entity> EntityType<T> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		EntityType<T> entityType = (EntityType<T>) entityTypeBuilder.build(registryname).setRegistryName(registryname);
		REGISTRY.add(entityType);
		return entityType;
	}

	@SubscribeEvent
	public static void registerEntities(RegistryEvent.Register<EntityType<?>> event) {
		event.getRegistry().registerAll(REGISTRY.toArray(new EntityType[0]));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			GarfieldEntity.init();
			JonArbuckleEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(GARFIELD, GarfieldEntity.createAttributes().build());
		event.put(JON_ARBUCKLE, JonArbuckleEntity.createAttributes().build());
	}
}
